<!doctype html>
<!-- DEBUG -->
<!-- disable offline caching in debug mode -->
<html>
<!-- /DEBUG -->
<!-- PRODUCTION
<html manifest="cache.appcache">
/PRODUCTION -->
<head>
<meta charset="utf-8">
<meta name="description" content="mindmaps is an HTML5 based mind mapping app. It lets you create neat looking mind maps in the browser." />
<meta name="keywords" content="mind maps html5 mindmaps offline easy intuitive" />
<meta name="google" content="notranslate"/>
<title>mindmaps</title>
<link rel="icon" type="image/png" href="img/favicon.png" />
<link rel="stylesheet" href="css/common.css">
<link rel="stylesheet" href="css/app.css">
<link rel="stylesheet" href="css/Aristo/jquery-ui-1.8.7.custom.css" />
<link rel="stylesheet" href="css/minicolors/jquery.miniColors.css">

<script id="template-float-panel" type="text/x-jquery-tmpl">
<div class="ui-widget ui-dialog ui-corner-all ui-widget-content float-panel no-select">
  <div class="ui-dialog-titlebar ui-widget-header ui-helper-clearfix">
    <span class="ui-dialog-title">${title}</span>
    <a class="ui-dialog-titlebar-close ui-corner-all" href="#" role="button">
      <span class="ui-icon"></span>
    </a>
  </div>
  <div class="ui-dialog-content ui-widget-content">
  </div>
</div>
</script>

<script id="template-notification" type="text/x-jquery-tmpl">
<div class="notification">
  {{if closeButton}}
  <a href="#" class="close-button">x</a>
  {{/if}}
  {{if title}}
  <h1 class="title">{{html title}}</h1>
  {{/if}}
  <div class="content">{{html content}}</div>
</div>
</script>

<script id="template-open-table-item" type="text/x-jquery-tmpl">
<tr>
  <td><a class="title" href="#">${title}</a></td>
  <td>${$item.format(dates.modified)}</td>
  <td><a class="delete" href="#">delete</a></td>
</tr>
</script>

<script id="template-open" type="text/x-jquery-tmpl">
<div id="open-dialog" class="file-dialog" title="Open mind map">
  <h1><span class="highlight">Works again!</span> In the Cloud: Dropbox and more</h1>
  <p>Open, save and share your mind maps online in your favorite cloud storage. Supports Google Drive, Dropbox and more! Powered by <a href="https://www.filestack.com/" target="_blank">filestack.com</a>.</p>
  <button id="button-open-cloud">Open</button>
  <span class="cloud-loading">Loading...</span>
  <span class="cloud-error error"></span>
  <div class="seperator"></div>
  <h1>Local Storage</h1>
  <p>This is a list of all mind maps that are saved in your browser's local storage. Click on the title of a map to open it.</p>
  <table class="localstorage-filelist">
    <thead>
      <tr>
        <th class="title">Title</th>
        <th class="modified">Last Modified</th>
        <th class="delete"></th>
      </tr>
    </thead>
    <tbody class="document-list"></tbody>
  </table>
  <div class="seperator"></div>
  <h1>From file</h1>
  <p>Choose a mind map from your computer's hard drive.</p>
  <div class="file-chooser">
    <input type="file" />
  </div>
</div>
</script>

<script id="template-save" type="text/x-jquery-tmpl">
<div id="save-dialog" class="file-dialog" title="Save mind map">
  <h1><span class="highlight">Works again!</span> In the Cloud: Dropbox and more</h1>
  <p>Open, save and share your mind maps online in your favorite cloud storage. Supports Google Drive, Dropbox and more! Powered by <a href="https://www.filestack.com/" target="_blank">filestack.com</a>.</p>
  <button id="button-save-cloudstorage">Save</button>
  <span class="cloud-loading">Loading...</span>
  <span class="cloud-error error"></span>
  <div class="seperator"></div>
  <h1>Local Storage</h1>
  <p>You can save your mind map in your browsers local storage. Be aware that this is still experimental: the space is limited and there is no guarantee that the browser will keep this document forever. Useful for frequent backups in combination with cloud storage.</p>
  <button id="button-save-localstorage">Save</button>
  <input type="checkbox" class="autosave" id="checkbox-autosave-localstorage">
  <label for="checkbox-autosave-localstorage">Save automatically every minute.</label>
  <div class="seperator"></div>
  <h1>To file</h1>
  <p>Save the mind map as a file on your computer.</p>
  <button id="button-save-hdd">Save</button>
</div>
</script>

<script id="template-navigator" type="text/x-jquery-tmpl">
<div id="navigator">
  <div class="active">
    <div id="navi-content">
      <div id="navi-canvas-wrapper">
        <canvas id="navi-canvas"></canvas>
        <div id="navi-canvas-overlay"></div>
      </div>
      <div id="navi-controls">
        <span id="navi-zoom-level"></span>
        <div class="button-zoom" id="button-navi-zoom-out"></div>
        <div id="navi-slider"></div>
        <div class="button-zoom" id="button-navi-zoom-in"></div>
      </div>
    </div>
  </div>
  <div class="inactive">
  </div>
</div>
</script>


<script id="template-inspector" type="text/x-jquery-tmpl">
<div id="inspector">
  <div id="inspector-content">
    <table id="inspector-table">
		<tr id="addPicture">
			<td>Add Image:</td>
			<td><div
				class="buttonset buttons-very-small buttons-less-padding">
				<div class="file-chooser2">
          <input id="inspector-button-import-image" type="file" />
            </div>
				<button id="inspector-button-link-image">Link</button>
                <button id="inspector-button-del-image">Delete</button>
			  </div></td>
        </tr>
      <tr id="size_line">
        <td>Font size:</td>
        <td><div
            class="buttonset buttons-very-small buttons-less-padding">
            <button id="inspector-button-font-size-decrease">A-</button>
            <button id="inspector-button-font-size-increase">A+</button>
          </div></td>
      </tr>
      <tr id="font_style">
        <td>Font style:</td>
        <td><div
            class="font-styles buttonset buttons-very-small buttons-less-padding">
            <input type="checkbox" id="inspector-checkbox-font-bold" />
            <label
            for="inspector-checkbox-font-bold" id="inspector-label-font-bold">B</label>

            <input type="checkbox" id="inspector-checkbox-font-italic" />
            <label
            for="inspector-checkbox-font-italic" id="inspector-label-font-italic">I</label>

            <input
            type="checkbox" id="inspector-checkbox-font-underline" />
            <label
            for="inspector-checkbox-font-underline" id="inspector-label-font-underline">U</label>

            <input
            type="checkbox" id="inspector-checkbox-font-linethrough" />
             <label
            for="inspector-checkbox-font-linethrough" id="inspector-label-font-linethrough">S</label>
          </div>
        </td>
      </tr>
      <tr id="font_color">
        <td>Font color:</td>
        <td><input type="hidden" id="inspector-font-color-picker"
          class="colorpicker" /></td>
      </tr>
      <tr id="branch_color">
        <td>Branch color:</td>
        <td><input type="hidden" id="inspector-branch-color-picker"
          class="colorpicker" />
          <button id="inspector-button-branch-color-children" title="Apply branch color to all children" class="right buttons-small buttons-less-padding">Inherit</button>
        </td>
      </tr>
	  <tr id="comment_tr">
		<td> Comment : </td>
		<td>
			<div class="buttons-very-small">
				<button id="comment" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-left" role="button"><span class="ui-button-text">Comment</span></button>
				<button id="delComment" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-right" role="button"><span class="ui-button-text">Delete</span></button>
			</div>
		</td>
      </tr>
	  <tr id="link_tr">
		<td> Link : </td>
		<td>
			<div class="buttons-very-small">
				<button id="addLink" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-left" role="button"><span class="ui-button-text">Add</span></button>
				<button id="delLink" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-right" role="button"><span class="ui-button-text">Delete</span></button>
			</div>
		</td>
      </tr>
      <tr id="tr_center">
		<td> Center : </td>
		<td>
			<div class="buttons-very-small">
				<button id="center-button" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-left" role="button"><span class="ui-button-text">Center</span></button>
				<button id="center-selected-button" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-left" role="button"><span class="ui-button-text">Selected Node</span></button>
				<button id="search-button" class="ui-button ui-widget ui-state-default ui-button-text-only ui-corner-right" role="button"><span class="ui-button-text">Search</span></button>
			</div>
		</td>
	  </tr>

    </table>
  </div>
</div>
</script>

<script id="template-export-map" type="text/x-jquery-tmpl">
<div id="export-map-dialog" title="Export mind map">
  <h2 class='image-description'>To download the map right-click the
    image and select "Save Image As"</h2>
  <div id="export-preview"></div>
</div>
</script>

</head>
<body>
  <div id="print-area">
    <p class="print-placeholder">Please use the print option from the
      mind map menu</p>
  </div>
  <!-- DEBUG -->
  <div id="debug-warning">Running in DEBUG mode.</div>
  <!-- /DEBUG -->
  <div id="container">
    <script>
      // only show banner on drichard.org
      if (window.location.hostname === 'drichard.org') {
        document.write(
          '<div id="banner"><strong>Attention:</strong> This app is moving soon to <a href="https://www.mindmaps.app" target="_blank">www.mindmaps.app</a>. Mind maps stored in local storage will not be available on the new site. If you have any maps in local storage, please save them to file and import them on the new website. If you have any questions, please <a href="mailto:david+contact@drichard.org">contact me</a>.</div>'
        );
      }
    </script>
    <div id="topbar">
      <div id="toolbar">
        <div id="logo" class="logo-bg">
          <span>mindmaps</span>
        </div>

        <div class="buttons">
          <span class="buttons-left"> </span> <span class="buttons-right">
          </span>
        </div>

      </div>
    </div>
    <div id="canvas-container">
      <div id="drawing-area" class="no-select"></div>
    </div>
    <div id="bottombar">
      <div id="about">
        <a href="about.html" target="_blank">About mindmaps</a> <span
          style="padding: 0 4px;">|</span> <a style="font-weight: bold"
          href="https://docs.google.com/forms/d/e/1FAIpQLSfETMwnwQQXx9aAEFA26jbuBJGkU9zLCW7Rj1Taf5u3k-2NYQ/viewform?usp=sf_link"
          target="_blank">Leave Feedback</a>
      </div>
      <div id="statusbar">
        <div
          class="buttons buttons-right buttons-small buttons-less-padding"></div>
      </div>
    </div>
  </div>

  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.6.1/jquery.min.js"></script>
  <script src="//api.filestackapi.com/filestack.js"></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/FileSaver.js/1.3.3/FileSaver.min.js"></script>

  <!-- DEBUG -->
  <!-- set debug flag for all scripts. Will be removed in production -->
  <script type="text/javascript">
    var mindmaps = mindmaps || {};
    mindmaps.DEBUG = true;
  </script>
  <!-- /DEBUG -->

  <!-- JS:LIB:BEGIN -->
  <script src="js/libs/jquery-ui-1.8.11.custom.min.js"></script>
  <script src="js/libs/dragscrollable.js"></script>
  <script src="js/libs/jquery.hotkeys.js"></script>
  <script src="js/libs/jquery.mousewheel.js"></script>
  <script src="js/libs/jquery.minicolors.js"></script>
  <script src="js/libs/jquery.tmpl.js"></script>
  <script src="js/libs/events.js"></script>

  <script src="js/MindMaps.js"></script>
  <script src="js/Command.js"></script>
  <script src="js/CommandRegistry.js"></script>
  <script src="js/Action.js"></script>
  <script src="js/Util.js"></script>
  <script src="js/Point.js"></script>
  <script src="js/Document.js"></script>
  <script src="js/MindMap.js"></script>
  <script src="js/Node.js"></script>
  <script src="js/NodeMap.js"></script>
  <script src="js/UndoManager.js"></script>
  <script src="js/UndoController.js"></script>
  <script src="js/ClipboardController.js"></script>
  <script src="js/ZoomController.js"></script>
  <script src="js/ShortcutController.js"></script>
  <script src="js/HelpController.js"></script>
  <script src="js/FloatPanel.js"></script>
  <script src="js/Navigator.js"></script>
  <script src="js/Inspector.js"></script>
  <script src="js/ToolBar.js"></script>
  <script src="js/StatusBar.js"></script>
  <script src="js/CanvasDrawingTools.js"></script>
  <script src="js/CanvasView.js"></script>
  <script src="js/CanvasPresenter.js"></script>
  <script src="js/ApplicationController.js"></script>
  <script src="js/MindMapModel.js"></script>
  <script src="js/NewDocument.js"></script>
  <script src="js/OpenDocument.js"></script>
  <script src="js/SaveDocument.js"></script>
  <script src="js/MainViewController.js"></script>
  <script src="js/Storage.js"></script>
  <script src="js/Event.js"></script>
  <script src="js/Notification.js"></script>
  <script src="js/StaticCanvas.js"></script>
  <script src="js/PrintController.js"></script>
  <script src="js/ExportMap.js"></script>
  <script src="js/AutoSaveController.js"></script>
  <script src="js/FilePicker.js"></script>

  <!-- NOS AJOUTS -->

   <script src="js/Line.js"></script>
   <script src="js/OverviewController.js"></script>

  <!-- JS:LIB:END -->
</body>
</html>
